HttpDeflateStream::flush
The HttpInflateStream class
The HttpDeflateStream class
PHP Manual

# HttpDeflateStream::update

(PECL pecl_http >= 0.21.0)

HttpDeflateStream::update — Update deflate stream

### Description

public string HttpDeflateStream::update ( string `$data` )

Passes more data through the deflate stream.

### Parameters

`data`

  data to deflate

### Return Values

Returns deflated data on success or `FALSE` on failure.

HttpDeflateStream::flush
The HttpInflateStream class
The HttpDeflateStream class
PHP Manual